Mój system to centos

numpy.__version__= 1.14.3
scipy.__version__= 1.2.2
sklearn.__version__ = 0.19.2
python.__version__ = 2.7.15

Chcę zaktualizować sklearn do wersji 0.20.2, ponieważ chcę używać danych ciągu w OneHotEncoder

Otrzymuję ImportError: nie mogę zaimportować nazwy __check_build , kiedy używam sklearn 0.20.2 po aktualizacji sklearn, nie działa ponowne uruchomienie powłoki Pythona

Można go normalnie używać po I uninstall sklearn 0.20.2 i install sklearn 0.19.2 Jak mogę to rozwiązać?

0
wa007 17 listopad 2019, 15:12

1 odpowiedź

Bez zamieszczania pełnego śladu błędu mogę tylko zasugerować:

1) Spróbuj ponownie zainstalować scipy

2) Zainstaluj sklearn: pip install -U scikit-learn

0
seralouk 17 listopad 2019, 18:48